| Classes - Annotated - Tree - Functions - Home - Structure

# QDoubleValidator Class Reference

The QDoubleValidator class provides range checking of floating-point numbers. More...

`#include <qvalidator.h>`

Inherits QValidator.

List of all member functions.

## Public Members

- QDoubleValidator ( QWidget * parent, const char * name = 0 )
- QDoubleValidator ( double bottom, double top, int decimals, QWidget * parent, const char * name = 0 )
- ~QDoubleValidator ()
- QValidator::State validate ( QString &, int & ) const
- virtual void setRange ( double bottom, double top, int decimals = 0 )
- void setBottom ( double )
- void setTop ( double )
- void setDecimals ( int )
- double bottom () const
- double top () const
- int decimals () const

## Properties

Type | Name | READ | WRITE | Options
--- | --- | --- | --- | ---
double | bottom | bottom | setBottom |
double | top | top | setTop |
int | decimals | decimals | setDecimals |

## Detailed Description

The QDoubleValidator class provides range checking of floating-point numbers.

QDoubleValidator provides an upper bound, a lower bound, and a limit on the number of digits after the decimal point. It does not provide a fixup() function.

See also QIntValidator.

## Member Function Documentation

### QDoubleValidator::QDoubleValidator ( QWidget * parent, const char * name = 0 )

Constructs a validator object which accepts all doubles.

### QDoubleValidator::QDoubleValidator ( double bottom, double top, int decimals, QWidget * parent, const char * name = 0 )

Constructs a validator object which accepts all doubles from bottom up to and including top with at most decimals digits after the decimal point.

### QDoubleValidator::~QDoubleValidator ()

Destroys the validator, freeing any storage and other resources used.

### double QDoubleValidator::bottom () const

Returns the lowest valid number according to this validator.

See also top(), decimals() and setRange().

### int QDoubleValidator::decimals () const

Returns the largest number of digits a valid number can have after its decimal point.

See also bottom(), top() and setRange().

### void QDoubleValidator::setBottom ( double bottom )

Sets the validator to accept no numbers smaller than bottom.

See also setRange().

### void QDoubleValidator::setDecimals ( int decimals )

Sets the maximum number of digits after the decimal point.

### void QDoubleValidator::setRange ( double bottom, double top, int decimals = 0 ) `[virtual]`

Sets the validator to accept numbers from bottom up to and including top with at most decimals digits after the decimal point.

### void QDoubleValidator::setTop ( double top )

Sets the validator to accept no numbers bigger than top.

See also setRange().

### double QDoubleValidator::top () const

Returns the highest valid number according to this validator.

See also bottom(), decimals() and setRange().

### QValidator::State QDoubleValidator::validate( QString & input, int & ) const

Returns Acceptable if input contains a number in the legal range and format, Intermediate if it contains another number, a number with too many digits after the decimal point or is empty, and Invalid if input is not a number.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.